跳至主要内容

List Products

取得可建立訂單的產品資料,單次資料上限為 100 筆。

Endpoint

ItemValue
MethodGET
Path/platform/product

Authentication

資訊

此 endpoint 需要在 request header 帶入 x-api-key。private key 請聯繫客服申請。

Request

Headers

HeaderRequiredDescription
x-api-keyYes請聯繫客服申請 private key。

Query Parameters

FieldTypeRequiredDescription
$filterstringNo允許欄位:id, price, main_product_category, product_category, dynamic_probability, increase_speed。支援函數:contains()cast()any()all()
$orderbystringNo允許欄位:price, min, max, order_no
$skipintegerNo要跳過的資料筆數。最小值 0
$topintegerNo要取得的資料筆數。範圍 1100

Response

Success Response

成功時回傳 200 OKProductResponsePagedResponse

{
"value": [
{
"product_id": "9c07a89a-0994-4f35-98a7-1b922b5c8331",
"title": "Example Product",
"description": "Example product description",
"product_type": "ch2_default",
"product_category": "instagram_fans",
"main_product_category": "instagram",
"price": 12,
"min": 1,
"max": 100000,
"order_no": 1,
"dynamic_probability": "medium",
"increase_speed": "fast",
"service_type": "channel2",
"create_date_time": "2026-06-02T12:30:00+08:00",
"update_date_time": null,
"ch2_product": {
"name": "Example Service",
"rate": "12",
"min": 1,
"max": 100000,
"is_drip_feed": false,
"is_refillable": true,
"is_cancelable": false
},
"ch1_product": null
}
],
"@odata.count": 1
}

Error Responses

HTTP StatusCodeMeaningHow to Fix
400o_data_failedOData query 語法、欄位或函數不符合限制。檢查 $filter$orderby 欄位是否在允許清單中。
401token_validation_failedprivate key 缺漏或無效。確認 x-api-key header,必要時聯繫客服重新申請。

Examples

curl "https://api.guo-guo.com/platform/product?\$top=20&\$skip=0&\$orderby=price" \
-H "x-api-key: <private_key>"

References